%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define debfile google-chrome-stable_current_amd64.deb

Summary: Google Chrome 
Name: google-chrome-browser
Version: 124.0.6367.60
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: https://www.google.com/chrome/browser/desktop/
Source1: google-chrome
Vendor: Google Inc.
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no
Obsoletes: google-chrome-stable
Provides: google-chrom-stable = %{version}-%{release}

%description
The web browser from Google. Google Chrome is a browser
that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{debfile} data.tar.xz | xz -d -9 | tar x -C %buildroot

# create new symlink
rm -f %buildroot%{_bindir}/google-chrome-stable
ln -sr %buildroot/opt/google/chrome/google-chrome %buildroot%{_bindir}/google-chrome-stable
ln -sr %buildroot/opt/google/chrome/google-chrome %buildroot%{_bindir}/google-chrome

# delete some directories that are not needed on PCLinuxOS
rm -rf %buildroot%{_datadir}/menu
rm -rf %buildroot/etc
rm -rf %buildroot/opt/google/chrome/cron

# correct sandbox permission
chmod 4755 %buildroot/opt/google/chrome/chrome-sandbox

# create symlink to libudev.so
ln -sL %{_libdir}/libudev.so.0 %buildroot/opt/google/chrome/libudev.so.0

#shutup kwallet
cp  %buildroot/opt/google/chrome/google-chrome  %buildroot/opt/google/chrome/google-chrome.org
install -m 0755 %SOURCE1 %buildroot/opt/google/chrome/google-chrome

#install some icons
mkdir -p %buildroot/%{_datadir}/pixmaps
cp %buildroot/opt/google/chrome/product_logo_48.png %buildroot/%{_datadir}/pixmaps/google-chrome.png


%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/google-chrome-stable
%{_bindir}/google-chrome
/opt/google
%{_datadir}


%changelog
* Fri Apr 19 2024 tex - 124.0.6367.60-1pclos2024
- new version

* Tue Apr 16 2024 tex - 123.0.6312.122-1pclos2024
- new version

* Wed Apr 03 2024 tex - 123.0.6312.105-1pclos2024
- new version

* Wed Mar 27 2024 tex - 123.0.6312.86-1pclos2024
- new version

* Fri Mar 22 2024 tex - 123.0.6312.58-1pclos2024
- new version

* Fri Mar 08 2024 tex - 122.0.6261.111-1pclos2024
- new version

* Wed Feb 28 2024 tex - 122.0.6261.94-1pclos2024
- new version

* Wed Feb 28 2024 tex - 122.0.6261.69-1pclos2024
- new version

* Thu Feb 15 2024 tex - 121.0.6167.184-1pclos2024
- new version

* Fri Feb 09 2024 tex - 121.0.6167.160-1pclos2024
- new version

* Fri Feb 02 2024 tex - 121.0.6167.139-1pclos2024
- new version

* Fri Jan 26 2024 tex - 121.0.6167.85-1pclos2024
- new version

* Thu Jan 18 2024 tex - 120.0.6099.224-1pclos2024
- new version

* Fri Jan 05 2024 tex - 120.0.6099.199-1pclos2024
- new version

* Thu Dec 21 2023 tex - 120.0.6099.129-1pclos2023
- new version

* Thu Dec 14 2023 tex - 120.0.6099.109-1pclos2023
- new version

* Sun Dec 10 2023 tex - 120.0.6099.71-1pclos2023
- new version

* Wed Dec 06 2023 tex - 120.0.6099.62-1pclos2023
- new version

* Wed Nov 29 2023 tex - 119.0.6045.199-1pclos2023
- new version

* Sun Nov 19 2023 tex - 119.0.6045.159-1pclos2023
- new version

* Thu Nov 09 2023 tex - 119.0.6045.123-1pclos2023
- new version

* Fri Nov 03 2023 tex - 119.0.6045.105-1pclos2023
- new version

* Mon Oct 30 2023 tex - 118.0.5993.117-1pclos2023
- new version

* Sat Oct 21 2023 tex - 118.0.5993.88-1pclos2023
- new version

* Fri Oct 13 2023 tex - 118.0.5993.70-1pclos2023
- new version

* Fri Oct 13 2023 tex - 118.0.5993.7-1pclos2023
- new version

* Mon Oct 09 2023 tex - 117.0.5938.149-1pclos2023
- new version

* Thu Sep 28 2023 tex - 117.0.5938.132-1pclos2023
- new version

* Mon Sep 25 2023 tex - 117.0.5938.92-1pclos2023
- new version

* Sat Sep 16 2023 tex - 117.0.5938.88-1pclos2023
- new version

* Sat Sep 16 2023 tex - 117.0.5938.62-1pclos2023
- new version

* Sat Sep 09 2023 tex - 116.0.5845.179-1pclos2023
- new version

* Wed Aug 23 2023 tex - 116.0.5845.110-1pclos2023
- new version

* Sat Aug 19 2023 tex - 116.0.5845.96-1pclos2023
- new version

* Tue Aug 08 2023 tex - 115.0.5790.170-1pclos2023
- new version

